View Resource Quotas of a Service Entitlement
get
/metering/api/v1/checkQuota/serviceEntitlement/{serviceEntitlementId}
Retrieve resource quotas of a given service entitlement.
Request
Path Parameters
-
serviceEntitlementId: string
Service Entitlement Id.
Query Parameters
-
resources: string
Resources encode resourceName, quantity and usage source to be used in quota check.
-
serviceName: string
Service name.
Response
Supported Media Types
- application/json
- application/vnd.com.oracle.oracloud.metering.checkquota+json
200 Response
Success
Nested Schema : items
Type:
Show Source
array-
Array of:
object ResourceQuotaBalance
Title:
ResourceQuotaBalance
Default Response
Unexpected error.
Examples
cURL Command
The following example shows how to retrieve resource quotas for an account with multiple entitlements by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL.
Enter the command on a single line. Line breaks are used in this example for readability.
curl -X GET
-u joe@example.com
-H "X-ID-TENANT-NAME:myDomain"
"https://itra.oraclecloud.com/metering/api/v1/checkQuota/serviceEntitlement/512643059?serviceName=Compute&resources=resourceName=EIPs,quantity=1"
Example of Request Body
There is no request body to submit with the HTTP request.
Example of Response Body
The following example shows the response body in JSON format.
{
"isAllowed":true,
"resourceBalance":[{
"name":"EIPs",
"service":"Compute",
"isAllowed":true,
"limit":5.0,
"balance":0.0,
"purchasedLimit":5.0
}]
}